Subject: [alpine-aports] [PATCH v2] testing/virtualbox-guest-modules-grsec: Update to 5.0.16 and kernel version 4.1.18.

From: Ben Allen <[email-masked]>
Date: Sun, 06 Mar 2016 19:25:15 +0000

- Update kernel version to match current linux-grsec package, 4.1.18.
- Rename directory with grsec suffix to match other kernel modules, and allow for future linux-vanilla based package.
- Update VirtualBox version to 5.0.16
---
Changes v1 -> v2:
  - Updated VirtualBox version to 5.0.16.

 .../10-vboxguest-Makefile.patch                    | 11 ++++
 testing/virtualbox-guest-modules-grsec/APKBUILD    | 71 ++++++++++++++++++++++
 .../10-vboxguest-Makefile.patch                    | 11 ----
 testing/virtualbox-guest-modules/APKBUILD          | 71 ----------------------
 4 files changed, 82 insertions(+), 82 deletions(-)
 create mode 100644 testing/virtualbox-guest-modules-grsec/10-vboxguest-Makefile.patch
 create mode 100644 testing/virtualbox-guest-modules-grsec/APKBUILD
 delete mode 100644 testing/virtualbox-guest-modules/10-vboxguest-Makefile.patch
 delete mode 100644 testing/virtualbox-guest-modules/APKBUILD

diff --git a/testing/virtualbox-guest-modules-grsec/10-vboxguest-Makefile.patch b/testing/virtualbox-guest-modules-grsec/10-vboxguest-Makefile.patch
new file mode 100644
index 0000000..2e1b591
--- /dev/null
+++ b/testing/virtualbox-guest-modules-grsec/10-vboxguest-Makefile.patch
@@ -0,0 +1,11 @@
+--- VirtualBox-5.0.12/vboxguest/Makefile.orig
++++ VirtualBox-5.0.12/vboxguest/Makefile
+@@ -108,7 +108,7 @@
+ 
+ MOD_DEFS = -DVBOX -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_GUEST \
+             -DIN_GUEST_R0 -DIN_MODULE -DRT_WITH_VBOX -DVBGL_VBOXGUEST \
+-            -DVBOX_WITH_HGCM
++            -DVBOX_WITH_HGCM -DLOG_USE_C99
+ ifeq ($(BUILD_TARGET_ARCH),amd64)
+  MOD_DEFS  += -DRT_ARCH_AMD64
+ else
diff --git a/testing/virtualbox-guest-modules-grsec/APKBUILD b/testing/virtualbox-guest-modules-grsec/APKBUILD
new file mode 100644
index 0000000..bf87f81
--- /dev/null
+++ b/testing/virtualbox-guest-modules-grsec/APKBUILD
@@ -0,0 +1,71 @@
+# Maintainer: Ben Allen <[email-masked]>
+# Contributor: Ben Allen <[email-masked]>
+
+_flavor=${FLAVOR:-grsec}
+_kpkg=linux-$_flavor
+_kver=4.1.18
+_kpkgrel=0
+
+# when chaning _ver we *must* bump _mypkgrel
+_ver=5.0.16
+_mypkgrel=0
+_name=virtualbox-guest-modules
+
+# verify the kernel version before entering chroot
+_kapkbuild=../../linux-${_flavor}/APKBUILD
+if [ -f $_kapkbuild ]; then
+	. $_kapkbuild
+	pkgname=$_name-$_flavor
+	[ "$_kver" != "$pkgver" ] && die "please update _kver to $pkgver"
+	[ "$_kpkgrel" != "$pkgrel" ] && die "please update _kpkgrel to $pkgrel"
+fi
+
+_kpkgver="$_kver-r$_kpkgrel"
+_abi_release=${_kver}-${_kpkgrel}-${_flavor}
+
+pkgname=${_name}-${_flavor}
+pkgver=$_kver
+pkgrel=$(($_kpkgrel + $_mypkgrel))
+pkgdesc="VirtualBox Additions kernel modules for $_flavor "
+arch='x86 x86_64'
+url='http://virtualbox.org'
+license="GPL custom"
+makedepends="linux-grsec-dev sed"
+source="http://download.virtualbox.org/virtualbox/$_ver/VirtualBox-$_ver.tar.bz2
+	10-vboxguest-Makefile.patch"
+
+_builddir="$srcdir"/VirtualBox-$_ver
+
+prepare() {
+	cd "$_builddir"
+	$_builddir/src/VBox/Additions/linux/export_modules "$_builddir/vbox-kmod.tar.gz"
+	tar -xf "$_builddir/vbox-kmod.tar.gz" 
+	local i
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	# Build Kernel Modules
+	make KERN_DIR=/lib/modules/${_abi_release}/build
+}
+
+package() {
+	cd "$_builddir"
+	local module=
+	for module in vboxsf vboxguest; do
+		install -v -D -m644 ${module}.ko \
+			"$pkgdir/lib/modules/${_abi_release}/misc/${module}.ko"
+	done
+}
+
+md5sums="1752a485b1cb377cee5f196918cda741  VirtualBox-5.0.16.tar.bz2
+34c8e3cb497d86be4281dcd62b3b3b4f  10-vboxguest-Makefile.patch"
+sha256sums="f5a44d33a1db911f445b2eb2d22d9293a96a535cba488b5a235577ef868fa63c  VirtualBox-5.0.16.tar.bz2
+440a4c15e7de4ad9087fedc64c045c6a28f31c59c787ad7a8a34ea65b72f8499  10-vboxguest-Makefile.patch"
+sha512sums="3da3a227360fb50d299e99770378f65e8cb99525377343fa8faff2360be66643d46f68323d6a8b8d4d26182082f171bb35ab2497167bf6df18827a5ea7742074  VirtualBox-5.0.16.tar.bz2
+38f774b8b2242687dc6327bd4c2fc6951207758fb2e25dd46550861c09a3f2b8efad1a8414529146fbbb8a89cf2eb3ad44b00fbdbbeafd3f8c69ba4cb91decf0  10-vboxguest-Makefile.patch"
diff --git a/testing/virtualbox-guest-modules/10-vboxguest-Makefile.patch b/testing/virtualbox-guest-modules/10-vboxguest-Makefile.patch
deleted file mode 100644
index 2e1b591..0000000
--- a/testing/virtualbox-guest-modules/10-vboxguest-Makefile.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- VirtualBox-5.0.12/vboxguest/Makefile.orig
-+++ VirtualBox-5.0.12/vboxguest/Makefile
-@@ -108,7 +108,7 @@
- 
- MOD_DEFS = -DVBOX -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_GUEST \
-             -DIN_GUEST_R0 -DIN_MODULE -DRT_WITH_VBOX -DVBGL_VBOXGUEST \
--            -DVBOX_WITH_HGCM
-+            -DVBOX_WITH_HGCM -DLOG_USE_C99
- ifeq ($(BUILD_TARGET_ARCH),amd64)
-  MOD_DEFS  += -DRT_ARCH_AMD64
- else
diff --git a/testing/virtualbox-guest-modules/APKBUILD b/testing/virtualbox-guest-modules/APKBUILD
deleted file mode 100644
index 921d1e2..0000000
--- a/testing/virtualbox-guest-modules/APKBUILD
+++ /dev/null
@@ -1,71 +0,0 @@
-# Maintainer: Ben Allen <[email-masked]>
-# Contributor: Ben Allen <[email-masked]>
-
-_flavor=${FLAVOR:-grsec}
-_kpkg=linux-$_flavor
-_kver=4.1.15
-_kpkgrel=5
-
-# when chaning _ver we *must* bump _mypkgrel
-_ver=5.0.14
-_mypkgrel=0
-_name=virtualbox-guest-modules
-
-# verify the kernel version before entering chroot
-_kapkbuild=../../linux-${_flavor}/APKBUILD
-if [ -f $_kapkbuild ]; then
-	. $_kapkbuild
-	pkgname=$_name-$_flavor
-	[ "$_kver" != "$pkgver" ] && die "please update _kver to $pkgver"
-	[ "$_kpkgrel" != "$pkgrel" ] && die "please update _kpkgrel to $pkgrel"
-fi
-
-_kpkgver="$_kver-r$_kpkgrel"
-_abi_release=${_kver}-${_kpkgrel}-${_flavor}
-
-pkgname=${_name}-${_flavor}
-pkgver=$_kver
-pkgrel=$(($_kpkgrel + $_mypkgrel))
-pkgdesc="VirtualBox Additions kernel modules for $_flavor "
-arch='x86 x86_64'
-url='http://virtualbox.org'
-license="GPL custom"
-makedepends="linux-grsec-dev sed"
-source="http://download.virtualbox.org/virtualbox/$_ver/VirtualBox-$_ver.tar.bz2
-	10-vboxguest-Makefile.patch"
-
-_builddir="$srcdir"/VirtualBox-$_ver
-
-prepare() {
-	cd "$_builddir"
-	$_builddir/src/VBox/Additions/linux/export_modules "$_builddir/vbox-kmod.tar.gz"
-	tar -xf "$_builddir/vbox-kmod.tar.gz" 
-	local i
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	# Build Kernel Modules
-	make KERN_DIR=/lib/modules/${_abi_release}/build
-}
-
-package() {
-	cd "$_builddir"
-	local module=
-	for module in vboxsf vboxguest; do
-		install -v -D -m644 ${module}.ko \
-			"$pkgdir/lib/modules/${_abi_release}/misc/${module}.ko"
-	done
-}
-
-md5sums="e0a02426ad09b475e630881efe911423  VirtualBox-5.0.14.tar.bz2
-34c8e3cb497d86be4281dcd62b3b3b4f  10-vboxguest-Makefile.patch"
-sha256sums="69abac7255b2251a18fd73c0b7c200d5f8ce72a59fa019b53a5cdbf7f2843002  VirtualBox-5.0.14.tar.bz2
-440a4c15e7de4ad9087fedc64c045c6a28f31c59c787ad7a8a34ea65b72f8499  10-vboxguest-Makefile.patch"
-sha512sums="5547da58b50c9cf5d096f81c005134e1f56c4fb55d4d40a6fbd1efe1fe1fbeebc0747f0903933da9238a24c63eeed2c6c15bfc5cae5ce6e3e2eb4a18511d6258  VirtualBox-5.0.14.tar.bz2
-38f774b8b2242687dc6327bd4c2fc6951207758fb2e25dd46550861c09a3f2b8efad1a8414529146fbbb8a89cf2eb3ad44b00fbdbbeafd3f8c69ba4cb91decf0  10-vboxguest-Makefile.patch"
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---